#include<iostream.h>
class A	
{
public:	
  set(int x=0);
  int get(void);
private:
  int a;
};
A::set(int x)
{
  a=x;
}
int A::get(void)
{
  return(a);
}
class B:protected A //±£»¤¼Ì³Ð	
{
public:	
  set(int x=0,int y=0);
  int get(void);
  void display(void);
private:
  int b;
};
B::set(int x,int y)
{
  A::set(x); 
  b=y;
}
int B::get(void)
{
  return(b);
}
void B::display(void)
{
  cout<<"a="<<A::get()<<" b="<<b<<endl;  
}
int main()
{
 B obj;
 obj.set(1,2);
 obj.display(); 
 return(0);
}
